package api.common.pojo.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class KafkaMessageVO {
    @NotBlank(message = "主题不能为空！")
    private String topic;
    @NotBlank(message = "消息不能为空！")
    private String data;
}
