package com.css.simulation.resource.demo.service;

import api.common.pojo.param.demo.TestPageParam;
import api.common.pojo.vo.demo.TestVO;
import com.css.simulation.resource.common.utils.PageUtil;
import com.css.simulation.resource.demo.mapper.TestMapper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TestService {

    @Autowired
    TestMapper testMapper;

    public PageInfo<TestVO> getTestPageList(TestPageParam params) {
        PageUtil.setPageInfo(params);
        List<TestVO> list = testMapper.getTestPageList(params);
        return new PageInfo<>(list);
    }
}
